# Unreal Engine

{% hint style="info" %}
Get started with sample projects for some of our popular tutorials:

* [Actions sample project (UE5.3)](https://drive.google.com/drive/u/1/folders/1UWgQMHTTSq4O45PtKCyr8sjZbbkq-2_o)
* [NPC conversating with NPC sample project (UE5.3)](https://drive.google.com/drive/u/1/folders/1a_rzPDfjTxDju3q2ykzeJuzIeKlolg4V)
* [MetaHuman and ReadyPlayerMe sample project (UE5.0-5.2)](https://drive.google.com/drive/u/4/folders/1HNcghI9SG1NpCUaJWRX9Yh28HUF00-U0)
  {% endhint %}

{% embed url="<https://www.youtube.com/watch?ab_channel=Convai&list=PLn_7tCx0ChiogfggG1AVo6IkELQSLt6o3&v=HHJvY9dmwwg>" %}
Explore and test Convai in Unreal Engine with the Demo project.
{% endembed %}

## Guides

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Setting Up</strong></td><td>Setup your project with Convai plugin.</td><td><a href="unreal-engine/guides-v2-under-development/getting-started/download-and-setup">download-and-setup</a></td></tr><tr><td>Creating MetaHuman Characters</td><td>MetaHuman characters with lip sync</td><td><a href="unreal-engine/guides/creating-metahuman-characters">creating-metahuman-characters</a></td></tr><tr><td>Creating Reallusion Characters</td><td>Reallusion characters with lip sync</td><td><a href="unreal-engine/guides/creating-reallusion-characters">creating-reallusion-characters</a></td></tr></tbody></table>

## More on the Unreal Engine SDK

<table data-view="cards" data-full-width="false"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Blueprint Reference</strong></td><td>Detailed documentation for every blueprint function or component.</td><td><a href="unreal-engine/blueprints-reference">blueprints-reference</a></td></tr><tr><td><strong>Chanegelog</strong></td><td>Track changes to the Unreal SDK.</td><td><a href="https://github.com/Conv-AI/Convai-UnrealEngine-SDK/blob/main/CHANGELOG.md">https://github.com/Conv-AI/Convai-UnrealEngine-SDK/blob/main/CHANGELOG.md</a></td></tr><tr><td><strong>Github Repository</strong></td><td>Access the source code for the SDK.</td><td><a href="https://github.com/Conv-AI/Convai-UnrealEngine-SDK/blob/main/">https://github.com/Conv-AI/Convai-UnrealEngine-SDK/blob/main/</a></td></tr><tr><td><strong>Tutorial Playlist</strong></td><td>Implement basic conversation either written or with voice.</td><td><a href="https://youtu.be/iGn_WMjfU-A">https://youtu.be/iGn_WMjfU-A</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/plugins-and-integrations/unreal-engine.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
